<?php
if (!defined('ABSPATH')) {
	exit;
}

$php_min_54 = true;
if (version_compare(phpversion(), '7.0', '<')) {
	$php_min_54 = false;
}
?>

<div class="wrap">
	<h1 style="margin-bottom: 1em;">
		<?php esc_html_e('Support', 'hreflang-customizer'); ?>
	</h1>
	<table class="widefat" cellspacing="0" id="status">
		<thead>
			<tr>
				<th colspan="2"
					data-export-label="<?php esc_html_e('WordPress Environment', 'hreflang-customizer'); ?>">
					<b>
						<?php esc_html_e('WordPress environment', 'hreflang-customizer'); ?>
					</b>
				</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<?php esc_html_e('Home URL', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_url(home_url()); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('Site URL', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_url(site_url()); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('Hreflang Customizer version', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_attr(HREFLANG_VERSION); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('WordPress version', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_attr(get_bloginfo('version')); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('Is multisite', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo is_multisite() ? esc_html__('Yes', 'hreflang-customizer') : '-'; ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('WordPress Debug mode', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php if (defined('WP_DEBUG') && WP_DEBUG): ?>
						<?php esc_html_e('Yes', 'hreflang-customizer'); ?>
					<?php endif; ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('Permalink Structure', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_attr(get_option('permalink_structure')); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('Language', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_attr(get_locale()); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('Supported plugins', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php
					$pro = sprintf(__('<a href="%1$s" target="_blank">Hreflang Customizer Pro</a>', 'hreflang-customizer'), HREFLANG_WEB_DOMAIN);
					?>
					Free for Weglot (<?php echo $pro ?> supported with WPML , TranslatePress and Polylang)
				</td>
			</tr>
		</tbody>
	</table>
	<br />
	<table class="widefat" cellspacing="0">
		<thead>
			<tr>
				<th colspan="3" data-export-label="<?php esc_html_e('Server Environment', 'hreflang-customizer'); ?>">
					<b>
						<?php esc_html_e('Server environment', 'hreflang-customizer'); ?>
					</b>
				</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<?php esc_html_e('Server info', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo isset($_SERVER['SERVER_SOFTWARE']) ? esc_html($_SERVER['SERVER_SOFTWARE']) : esc_html__('Unknown', 'hreflang-customizer'); ?>
				</td>
			</tr>
			<tr>
				<td>
					<?php esc_html_e('PHP Version', 'hreflang-customizer'); ?>
				</td>
				<td>
					<?php echo esc_html(phpversion()); ?>
					<?php if (!$php_min_54): ?>
						<mark class="error">
							<span class="dashicons dashicons-warning"></span> -
							<?php esc_html_e('We need a minimum PHP version: 5.4.', 'hreflang-customizer'); ?>
						</mark>
					<?php endif; ?>
				</td>
			</tr>
		</tbody>
	</table>
</div>