<?php
/**
 * Plugin Name:         Hreflang Customizer
 * Plugin URI:          https://seo-hreflang.com/
 * Description:         The Hreflang Customizer plugin provides you an easy and reliable method to automatically generate hreflang tag on WordPress in a minute.
 * Version:             1.0.0
 * Requires at least:   5.8
 * Requires PHP:        5.6.20
 * Author:              Hopeleaf Technologies
 * Author URI:          http://hopeleaftechnologies.com/
 * License:             GPLv2 or later
 * Text Domain:         hreflang-customizer
 *
 */

// Make sure we don't expose any info if called directly
if (!function_exists('add_action')) {
    _e('Hi there! I\'m just a plugin, not much I can do when called directly.', 'hreflang-customizer');
    exit;
}

// Go on loading the plugin
define('HREFLANG_VERSION', '1.0.0');
define('HREFLANG_MINIMUM_WP_VERSION', '5.8');
define('HREFLANG_APP_DOMAIN', 'https://app.seo-hreflang.com/');
define('HREFLANG_WEB_DOMAIN', 'https://seo-hreflang.com/');
define('HREFLANG_SLUG', 'hreflang-customizer');
define('HREFLANG_FILE', __FILE__);
define('HREFLANG_DIR', __DIR__);
define('HREFLANG_PLUGIN_DIR', plugin_dir_path(HREFLANG_FILE));
define('HREFLANG_PLUGIN_URL', plugin_dir_url(HREFLANG_FILE));
define('HREFLANG_PLUGIN_FILE', plugin_basename(HREFLANG_FILE));
define('HREFLANG_TEMPLATES_ADMIN_PAGES', HREFLANG_DIR . '/admin/pages');


register_activation_hook(__FILE__,  function () {
    $admin = new Hreflang();
    $admin->plugin_activation();
});

register_deactivation_hook(__FILE__, function () {
    $admin = new Hreflang();
    $admin->plugin_deactivation();
});

require_once HREFLANG_PLUGIN_DIR . 'include/functions.php';
require_once HREFLANG_PLUGIN_DIR . 'class/hreflang.php';
require_once HREFLANG_PLUGIN_DIR . 'class/hreflang_tags.php';

if (is_admin() || (defined('WP_CLI') && WP_CLI)) {
    require_once(HREFLANG_PLUGIN_DIR . 'class/hreflang_admin.php');
    add_action('init', function () {
        new Hreflang_Admin();
    });
}

add_action('init', function () {
    new Hreflang();
});