<?php

if (!defined('ABSPATH')) {
    exit;
}

/**
 * @package HrefLang
 */

/**
 * Define wordpress.com VIP equivalent of uncached functions
 * WordPress backward compatibility functions
 * and miscellaneous utility functions
 */

// Create a function called "hreflang_is_activated" if it doesn't already exist
if (!function_exists('hreflang_is_activated')) {
    /**
     * Validate license key.
     *
     *
     * @return bool on success or on failure.
     */
    function hreflang_is_activated()
    {
        $license_key = get_option('hl_license');
        if (empty($license_key)) {
            return false;
        }
        return true;
    }
}

// Create a function called "hreflang_get_languages" if it doesn't already exist
if (!function_exists('hreflang_get_languages')) {
    /**
     * get languages
     *
     *
     * @return array
     */
    function hreflang_get_languages()
    {
        return include HREFLANG_DIR . '/settings/languages.php';
    }
}

// Create a function called "write_log" if it doesn't already exist
if (!function_exists('write_log')) {

    /**
     * write log
     *
     *
     * @return void
     */
    function write_log($log)
    {
        if (true === WP_DEBUG) {
            if (is_array($log) || is_object($log)) {
                error_log(print_r($log, true));
            } else {
                error_log($log);
            }
        }
    }

}
